#include <stdio.h>
#include <netdb.h>

int main(int argc, char *argv[]){

  if((argc < 2) || (argc > 3)){
    fprintf(stderr, "Usage: %s <service name> [<protocol>]\n", argv[0]);
    return 2;
  }

  struct servent *se;

  if(argc == 2){
    if(!(se = getservbyname(argv[1], NULL))){
      return 1;
    }
  }
  else if(argc == 3){
    if(!(se = getservbyname(argv[1], argv[2]))){
      return 1;
    }
  }

  printf("%d\n", ntohs(se->s_port));
  return 0;

}
